gtkmm: Gtk::GridLayoutChild Class Reference

gtkmm 4.8.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::GridLayoutChild Class Reference

Layout properties for children of Gtk::GridLayout. More...

`#include <gtkmm/gridlayoutchild.h>`

Inheritance diagram for Gtk::GridLayoutChild:
[legend]

## Public Member Functions
| GridLayoutChild (GridLayoutChild && src) noexcept
GridLayoutChild & | operator= (GridLayoutChild && src) noexcept
| ~GridLayoutChild () noexcept override
GtkGridLayoutChild * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkGridLayoutChild * | gobj () const
| Provides access to the underlying C GObject. More...
GtkGridLayoutChild * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | set_row (int row)
| Sets the row to place child in. More...
int | get_row () const
| Retrieves the row number to which child attaches its top side. More...
void | set_column (int column)
| Sets the column number to attach the left side of child. More...
int | get_column () const
| Retrieves the column number to which child attaches its left side. More...
void | set_column_span (int span)
| Sets the number of columns child spans to. More...
int | get_column_span () const
| Retrieves the number of columns that child spans to. More...
void | set_row_span (int span)
| Sets the number of rows child spans to. More...
int | get_row_span () const
| Retrieves the number of rows that child spans to. More...
Glib::PropertyProxy< int > | property_column ()
| The column to place the child in. More...
Glib::PropertyProxy_ReadOnly< int > | property_column () const
| The column to place the child in. More...
Glib::PropertyProxy< int > | property_row ()
| The row to place the child in. More...
Glib::PropertyProxy_ReadOnly< int > | property_row () const
| The row to place the child in. More...
Glib::PropertyProxy< int > | property_column_span ()
| The number of columns the child spans to. More...
Glib::PropertyProxy_ReadOnly< int > | property_column_span () const
| The number of columns the child spans to. More...
Glib::PropertyProxy< int > | property_row_span ()
| The number of rows the child spans to. More...
Glib::PropertyProxy_ReadOnly< int > | property_row_span () const
| The number of rows the child spans to. More...
Public Member Functions inherited from Gtk::LayoutChild
| LayoutChild (LayoutChild && src) noexcept
LayoutChild & | operator= (LayoutChild && src) noexcept
| ~LayoutChild () noexcept override
GtkLayoutChild * | gobj ()
| Provides access to the underlying C GObject. More...
const GtkLayoutChild * | gobj () const
| Provides access to the underlying C GObject. More...
GtkLayoutChild * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< LayoutManager > | get_layout_manager ()
| Retrieves the `Gtk::LayoutManager` instance that created the given layout_child. More...
Glib::RefPtr< const LayoutManager > | get_layout_manager () const
| Retrieves the `Gtk::LayoutManager` instance that created the given layout_child. More...
Widget * | get_child_widget ()
| Retrieves the `Gtk::Widget` associated to the given layout_child. More...
const Widget * | get_child_widget () const
| Retrieves the `Gtk::Widget` associated to the given layout_child. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< LayoutManager > > | property_layout_manager () const
| The layout manager that created the `Gtk::LayoutChild` instance. More...
Glib::PropertyProxy_ReadOnly< Widget * > | property_child_widget () const
| The widget that is associated to the `Gtk::LayoutChild` instance. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
PropertyType | get_property (const Glib::ustring &property_name) const
sigc::connection | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void()> &slot)
sigc::connection | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void()> &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::LayoutChild
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| GridLayoutChild ()
| Default constructor. More...
Protected Member Functions inherited from Gtk::LayoutChild
| LayoutChild ()
| There is no create() method that corresponds to this constructor, because only derived classes shall be created. More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::GridLayoutChild > | wrap (GtkGridLayoutChild * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gtk::LayoutChild
Glib::RefPtr< Gtk::LayoutChild > | wrap (GtkLayoutChild * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)

## Detailed Description

Layout properties for children of Gtk::GridLayout.

Gtk::GridLayoutChild instances are created by Gtk::GridLayout. To create or get a Gtk::GridLayoutChild instance, call Gtk::LayoutManager::get_layout_child() from a Gtk::GridLayout instance.

Glib::RefPtr<Gtk::LayoutChild> layout_child =
grid_layout->get_layout_child(child);
Glib::RefPtr<Gtk::GridLayoutChild> grid_layout_child =
std::dynamic_pointer_cast<Gtk::GridLayoutChild>(layout_child);
if (grid_layout_child)
// Do something with grid_layout_child
std::shared_ptr

Since gtkmm 3.96:

## Constructor & Destructor Documentation

## ◆ GridLayoutChild() [1/2]

Gtk::GridLayoutChild::GridLayoutChild | ( | GridLayoutChild && | src | ) |
| noexcept

## ◆ ~GridLayoutChild()

Gtk::GridLayoutChild::~GridLayoutChild | ( |  | ) |
| overridenoexcept

## ◆ GridLayoutChild() [2/2]

Gtk::GridLayoutChild::GridLayoutChild | ( |  | ) |
| protected

Default constructor.

There is no create() method that corresponds to this constructor. To create or get a Gtk::GridLayoutChild instance, call Gtk::LayoutManager::get_layout_child() from a Gtk::GridLayout instance.

## Member Function Documentation

## ◆ get_column()

int Gtk::GridLayoutChild::get_column | ( |  | ) | const

Retrieves the column number to which child attaches its left side.

Returns
  The column number.

## ◆ get_column_span()

int Gtk::GridLayoutChild::get_column_span | ( |  | ) | const

Retrieves the number of columns that child spans to.

Returns
  The number of columns.

## ◆ get_row()

int Gtk::GridLayoutChild::get_row | ( |  | ) | const

Retrieves the row number to which child attaches its top side.

Returns
  The row number.

## ◆ get_row_span()

int Gtk::GridLayoutChild::get_row_span | ( |  | ) | const

Retrieves the number of rows that child spans to.

Returns
  The number of row.

## ◆ get_type()

static GType Gtk::GridLayoutChild::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkGridLayoutChild * Gtk::GridLayoutChild::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkGridLayoutChild * Gtk::GridLayoutChild::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkGridLayoutChild * Gtk::GridLayoutChild::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

GridLayoutChild & Gtk::GridLayoutChild::operator= | ( | GridLayoutChild && | src | ) |
| noexcept

## ◆ property_column() [1/2]

Glib::PropertyProxy< int > Gtk::GridLayoutChild::property_column | ( |  | ) |

The column to place the child in.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_column() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::GridLayoutChild::property_column | ( |  | ) | const

The column to place the child in.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_column_span() [1/2]

Glib::PropertyProxy< int > Gtk::GridLayoutChild::property_column_span | ( |  | ) |

The number of columns the child spans to.

Default value: 1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_column_span() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::GridLayoutChild::property_column_span | ( |  | ) | const

The number of columns the child spans to.

Default value: 1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_row() [1/2]

Glib::PropertyProxy< int > Gtk::GridLayoutChild::property_row | ( |  | ) |

The row to place the child in.

Default value: 0

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_row() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::GridLayoutChild::property_row | ( |  | ) | const

The row to place the child in.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_row_span() [1/2]

Glib::PropertyProxy< int > Gtk::GridLayoutChild::property_row_span | ( |  | ) |

The number of rows the child spans to.

Default value: 1

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_row_span() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::GridLayoutChild::property_row_span | ( |  | ) | const

The number of rows the child spans to.

Default value: 1

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_column()

void Gtk::GridLayoutChild::set_column | ( | int | column | ) |

Sets the column number to attach the left side of child.

Parameters

  column | The attach point for child.

## ◆ set_column_span()

void Gtk::GridLayoutChild::set_column_span | ( | int | span | ) |

Sets the number of columns child spans to.

Parameters

  span | The span of child.

## ◆ set_row()

void Gtk::GridLayoutChild::set_row | ( | int | row | ) |

Sets the row to place child in.

Parameters

  row | The row for child.

## ◆ set_row_span()

void Gtk::GridLayoutChild::set_row_span | ( | int | span | ) |

Sets the number of rows child spans to.

Parameters

  span | The span of child.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::GridLayoutChild > wrap | ( | GtkGridLayoutChild * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.